- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/DyLP-1.5.0/DyLP/src/DylpStdLib/dylib_io.h File Reference

`#include "dylib_std.h"`

Include dependency graph for dylib_io.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | lex_struct
## Defines
#define | IOID_NOSTRM ((ioid) 0)
#define | IOID_INV ((ioid) -1)
## Typedefs
typedef int | ioid
## Enumerations
enum | lexclass { DY_LCNIL, DY_LCNUM, DY_LCID, DY_LCDEL, DY_LCFS, DY_LCQS, DY_LCEOF, DY_LCERR }
## Functions
bool | dyio_ioinit (void)
void | dyio_ioterm (void)
ioid | dyio_openfile (const char *path, const char *mode)
bool | dyio_isactive (ioid id)
bool | dyio_closefile (ioid id)
bool | dyio_setmode (ioid id, char mode)
bool | dyio_ttyq (ioid id)
bool | dyio_chgerrlog (const char *path, bool echo)
const char * | dyio_idtopath (ioid id)
ioid | dyio_pathtoid (const char *path, const char *mode)
long | dyio_mark (ioid id)
bool | dyio_backup (ioid id, long there)
bool | dyio_scan (ioid id, const char pattern[], bool rwnd, bool wrap)
lex_struct * | dyio_scanlex (ioid id)
lex_struct ** | dyio_scanstr (ioid id, lexclass stype, int fslen, char qschr, char qechr)
void | dyio_flushio (ioid id, bool echo)
void | dyio_outfmt (ioid id, bool echo, const char *pattern,...)
void | dyio_outchr (ioid id, bool echo, char chr)
int | dyio_outfxd (char *buffer, int fldsze, char lcr, const char *pattern,...)

## Define Documentation

#define IOID_NOSTRM ((ioid) 0)

Definition at line 41 of file dylib_io.h.

#define IOID_INV ((ioid) -1)

Definition at line 42 of file dylib_io.h.

## Typedef Documentation

typedef int ioid

Definition at line 39 of file dylib_io.h.

## Enumeration Type Documentation

enum lexclass

Enumerator:

  DY_LCNIL |
  DY_LCNUM |
  DY_LCID |
  DY_LCDEL |
  DY_LCFS |
  DY_LCQS |
  DY_LCEOF |
  DY_LCERR |

Definition at line 67 of file dylib_io.h.

## Function Documentation

bool dyio_ioinit | ( | void |  | ) |

void dyio_ioterm | ( | void |  | ) |

ioid dyio_openfile | ( | const char * | path,
|  | const char * | mode |
| ) |  |  |

bool dyio_isactive | ( | ioid | id | ) |

bool dyio_closefile | ( | ioid | id | ) |

bool dyio_setmode | ( | ioid | id,
|  | char | mode |
| ) |  |  |

bool dyio_ttyq | ( | ioid | id | ) |

bool dyio_chgerrlog | ( | const char * | path,
|  | bool | echo |
| ) |  |  |

const char* dyio_idtopath | ( | ioid | id | ) |

ioid dyio_pathtoid | ( | const char * | path,
|  | const char * | mode |
| ) |  |  |

long dyio_mark | ( | ioid | id | ) |

bool dyio_backup | ( | ioid | id,
|  | long | there |
| ) |  |  |

bool dyio_scan | ( | ioid | id,
|  | const char | pattern[],
|  | bool | rwnd,
|  | bool | wrap |
| ) |  |  |

lex_struct* dyio_scanlex | ( | ioid | id | ) |

lex_struct* * dyio_scanstr | ( | ioid | id,
|  | lexclass | stype,
|  | int | fslen,
|  | char | qschr,
|  | char | qechr |
| ) |  |  |

void dyio_flushio | ( | ioid | id,
|  | bool | echo |
| ) |  |  |

void dyio_outfmt | ( | ioid | id,
|  | bool | echo,
|  | const char * | pattern,
|  |  | ... |
| ) |  |  |

void dyio_outchr | ( | ioid | id,
|  | bool | echo,
|  | char | chr |
| ) |  |  |

int dyio_outfxd | ( | char * | buffer,
|  | int | fldsze,
|  | char | lcr,
|  | const char * | pattern,
|  |  | ... |
| ) |  |  |